
#' Time series data set
#'
#' A dataset containing 56 times series z-normalized. Time series length is 286.
#' @docType data
#' @keywords datasets
#' @name coffee
#' @usage data(coffee)
#' @format A data frame with 56 rows and 287 variables including the class.
#' @source \url{https://www.cs.ucr.edu/~eamonn/time_series_data_2018/}
NULL

#' Wine recognition data
#'
#' This dataset is the result of a chemical analysis of wine grown in the same
#' region in Italy but derived from three different cultivars. The analysis determined
#' the quantities of 13 constituents found in each of the three types of wines.
#'
#' The dataset is taken from the UCI data repository, to which it was donated
#' by Riccardo Leardi, University of Genova. The attributes are as follows:
#' \itemize{
#'   \item Alcohol
#'   \item Malic acid
#'   \item Ash
#'   \item Alcalinity of ash
#'   \item Magnesium
#'   \item Total phenols
#'   \item Flavanoids
#'   \item Nonflavanoid phenols
#'   \item Proanthocyanins
#'   \item Color intensity
#'   \item Hue
#'   \item OD280/OD315 of diluted wines
#'   \item Proline
#'   \item Wine (class)
#' }
#' @docType data
#' @keywords datasets
#' @name wine
#' @usage data(wine)
#' @format A data frame with 178 rows and 14 variables including the class.
#' @source \url{https://archive.ics.uci.edu/ml/datasets/Wine}
NULL



#' Abalone
#'
#'
#' @docType data
#' @keywords datasets
#' @name abalone
#' @usage data(abalone)
#' @format Predict the age of abalone from physical measurements
#' @source \url{https://archive.ics.uci.edu/ml/datasets/Abalone}
NULL


#' Breast
#'
#'
#' @docType data
#' @keywords datasets
#' @name breast
#' @usage data(breast)
#' @format : Diagnostic Wisconsin Breast Cancer Database
#' @source \url{https://archive.ics.uci.edu/ml/datasets/Breast+Cancer+Wisconsin+(Diagnostic)}
NULL




